package org.treesched.examples;

import java.text.ParseException;
import java.util.Date;

import org.treesched.schedules.DayOfWeekSchedule;

/**
 * This isn't really hello world but it's the simlest example
 * I can think of.
 */

public class HelloWorld {

    public static void main(String[] args) throws ParseException {

        DayOfWeekSchedule sched = new DayOfWeekSchedule();
        sched.setOn("SAT");
        System.out.println("Hello World\n"
                + " - the next Saturday will occur in the interval "
                + sched.nextDue(new Date()));
    }
}

